> ## Documentation Index
> Fetch the complete documentation index at: https://docs.derivadex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tickers

> Get convenient market tickers data, like funding rate and open interest data, price related data, trading volume in the last 24 hours.



## OpenAPI

````yaml /api-specs/public-rest-unified.json get /exchange/api/v1/tickers
openapi: 3.1.0
info:
  title: DerivaDEX API Documentation
  version: '1.0'
  description: ''
servers:
  - url: https://testnet.derivadex.io
    description: DerivaDEX testnet
security: []
tags:
  - name: Venue-Wide Tables
    description: These APIs expose venue-wide public tables and reference data.
    x-source-api: Public REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public REST API
  - name: Trade
    description: These APIs provide data for a particular trader.
    x-source-api: Public Exchange REST API
  - name: Market
    description: These APIs return key high level metrics for markets.
    x-source-api: Public Exchange REST API
  - name: System
    description: These APIs return system info.
    x-source-api: Public Exchange REST API
paths:
  /exchange/api/v1/tickers:
    get:
      tags:
        - Market
      summary: Get Tickers
      description: >-
        Get convenient market tickers data, like funding rate and open interest
        data, price related data, trading volume in the last 24 hours.
      parameters:
        - in: query
          name: symbol
          schema:
            type: string
          description: The symbol
          example: ETHP
        - in: query
          name: marketKind
          schema:
            type: integer
            enum:
              - 0
              - 2
              - 3
            default: 0
          description: >
            The type of markets to return data for. 0: SingleNamePerpetual, 2:
            IndexFundPerpetual, 3: FixedExpiryFuture. Multiple types can be
            provided.
      responses:
        '200':
          description: Tickers data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeAPITickerSuccessResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatsAPIErrorResponse'
components:
  schemas:
    ExchangeAPITickerSuccessResponse:
      type: object
      additionalProperties: false
      properties:
        value:
          type: array
          items:
            type: object
            properties:
              symbol:
                type: string
                description: The symbol of the market.
                examples:
                  - ETHP
                  - BTCP
              kind:
                type: integer
                description: >-
                  Public ticker market-kind discriminator. Values include: 0:
                  single-name perpetual market, 2: index-fund perpetual market,
                  3: fixed-expiry future.
                examples:
                  - 0
              highPrice24h:
                type: string
                description: The highest price in the last 24 hours.
                examples:
                  - '2650'
              lowPrice24h:
                type: string
                description: The lowest price in the last 24 hours.
                examples:
                  - '2300'
              prevPrice24h:
                type: string
                description: The open price 24 hours ago.
                examples:
                  - '2300'
              lastPrice:
                type: string
                description: The last traded price.
                examples:
                  - '2650'
              markPrice:
                type: string
                description: The mark price.
                examples:
                  - '2500'
              indexPrice:
                type: string
                description: The index price.
                examples:
                  - '2450'
              nextFundingTime:
                type: string
                format: date-time
                description: The time estimated for the next funding rate to occur.
                examples:
                  - '2023-01-06T16:37:27.929Z'
              volume24h:
                type: string
                description: The volume in the last 24 hours.
                examples:
                  - '100000'
              amount24h:
                type:
                  - string
                  - 'null'
                description: The amount in the last 24 hours.
                examples:
                  - '1000'
              fundingRate:
                type: string
                description: The funding rate value..
                examples:
                  - '0.0005'
              openInterest:
                type: string
                description: The current open interest for the market.
                examples:
                  - '220'
              openInterestValue:
                type: string
                description: >-
                  The current open interest value, amount of positions
                  multiplied by the average price, for the market.
                examples:
                  - '1500000'
            required:
              - symbol
              - kind
              - highPrice24h
              - lowPrice24h
              - prevPrice24h
              - lastPrice
              - markPrice
              - indexPrice
              - nextFundingTime
              - volume24h
              - amount24h
              - fundingRate
              - openInterest
              - openInterestValue
            additionalProperties: false
            description: Represents the ticker
          description: The value of the response
        success:
          type: boolean
          const: true
          description: Whether the request was successful
        timestamp:
          type: number
          description: The timestamp of the response
          examples:
            - 1673031089
      required:
        - success
        - timestamp
        - value
      description: Successful response for the Ticker API
    StatsAPIErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          const: false
        errorMsg:
          anyOf:
            - type: string
            - type: array
              items:
                type: object
                additionalProperties: false
      required:
        - success
      additionalProperties: false

````